#!/bin/sh

pwd
echo "LC_ALL is ${LC_ALL}, ARCH is ${ARCH}, CROSS_COMPILE is ${CROSS_COMPILE}, KDIR is ${KDIR}, ProjDirPath is ${ProjDirPath}"
echo "$PWD"
make LC_ALL=${LC_ALL} ARCH=${ARCH} CROSS_COMPILE=${CROSS_COMPILE} -C ${KDIR} M=$PWD &&
echo "Copy KM_CvKernelAccess.ko to $BOARDIP:/lib/modules/4.19.36/kernel/drivers/KM_CvKernelAccess/ ..." &&
scp KM_CvKernelAccess.ko root@$BOARDIP:/lib/modules/4.19.36/kernel/drivers/KM_CvKernelAccess/ &&
echo "Done."

